<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="pt" section="in-commerce:payment_types" title_preset="payment_type_list" pagination="1"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
  			//do not rename - this function is used in default grid for double click!
  			function edit()
  			{
  				std_edit_item('pt', 'in-commerce/payment_type/payment_type_edit');
  			}

  			var a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('new_item', '<inp2:m_phrase label="la_ToolTip_NewPaymentType" escape="1"/>::<inp2:m_phrase label="la_ToolTip_Add" escape="1"/>',
						function() {
							std_precreate_item('pt', 'in-commerce/payment_type/payment_type_edit')
						} ) );

				a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>', edit) );
				a_toolbar.AddButton( new ToolBarButton('delete', '<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
						function() {
							std_delete_items('pt')
						} ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('setprimary', '<inp2:m_phrase label="la_ToolTip_setPrimary" escape="1"/>', function() {
							submit_event('pt','OnSetPrimary');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('approve', '<inp2:m_phrase label="la_ToolTip_Approve" escape="1"/>', function() {
							submit_event('pt','OnMassApprove');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('decline', '<inp2:m_phrase label="la_ToolTip_Decline" escape="1"/>', function() {
							submit_event('pt','OnMassDecline');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );

				a_toolbar.AddButton( new ToolBarButton('move_up', '<inp2:m_phrase label="la_ToolTip_MoveUp" escape="1"/>', function() {
							submit_event('pt','OnMassMoveUp');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('move_down', '<inp2:m_phrase label="la_ToolTip_MoveDown" escape="1"/>', function() {
							submit_event('pt','OnMassMoveDown');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep3') );

				a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function() {
							show_viewmenu(a_toolbar,'view');
						}
				) );

				a_toolbar.Render();
			</script>
		</td>

		<inp2:m_RenderElement name="search_main_toolbar" prefix="pt" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_DefineElement name="payment_caption_td">
	<inp2:Field field="$field" grid="$grid"/>
	<span class="priority"><inp2:m_if check="FieldEquals" field="Priority" value="0"><inp2:m_else/><sup><inp2:Field field="Priority" /></sup></inp2:m_if></span>
</inp2:m_DefineElement>

<inp2:m_DefineElement name="primary_type_delete_error">
	<script type="text/javascript">
		alert('<inp2:m_Phrase label="la_error_CannotDeletePaymentType"/>');
	</script>
</inp2:m_DefineElement>

<inp2:m_RenderElement name="grid" PrefixSpecial="pt" IdField="PaymentTypeId" grid="Default" menu_filters="yes"/>
<script type="text/javascript">
	Grids['pt'].SetDependantToolbarButtons( new Array('edit', 'delete', 'approve', 'decline', 'setprimary', 'move_up', 'move_down') );

</script>

<inp2:m_DefineElement name="remove_unused_warning">
	<input type="hidden" name="unused_ids" id="unused_ids" value="<inp2:m_param name="unused_ids" />">
	<script type="text/javascript">
		if(inpConfirm('<inp2:m_phrase label="la_WarningCurrenciesNotUsed" />: <inp2:m_param name="unused_iso" />. <inp2:m_phrase label="la_WarningRemoveUnusedCurrencies" />?'))
		{
			submit_event('curr', 'OnDisableUnused');
		}
	</script>
</inp2:m_DefineElement>

<inp2:curr_DisableUnusedWarning block="remove_unused_warning" />

<inp2:pt_DeleteError block="primary_type_delete_error"/>

<inp2:m_include t="incs/footer"/>